# Repair MySQL database tables

This function repairs all of the tables in a MySQL® database.

Important:

When you disable the MySQL/MariaDB role
and remote MySQL is not already configured, the system disables this function.

Endpoint: GET /Mysql/repair_database
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `name` (string, required)
    The database's name.
    Example: "example_db"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "repair_database"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (array)
    An array of objects containing a response message for each of a database's table in sequence.

  - `result.data.msg_text` (string)
    The message's contents.
    Example: "OK"

  - `result.data.msg_type` (string)
    The type of message.

* status
* error
* info
* note
* warning

Note:

For more information, read [MySQL's REPAIR TABLE](http://dev.mysql.com/doc/refman/5.7/en/repair-table.html) documentation.
    Enum: "status", "error", "info", "note", "warning"

  - `result.data.table` (string)
    The table's name in the database.
    Example: "table1"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


